hep.aida

## Interface IHistogram1D

- All Superinterfaces:
    IHistogram, java.io.Serializable
  All Known Implementing Classes:
    Histogram1D

      public interface IHistogram1D
      extends IHistogram

  A Java interface corresponding to the AIDA 1D Histogram.

  Note All methods that accept a bin number as an argument will also accept the constants OVERFLOW or UNDERFLOW as the argument, and as a result give the contents of the resulting OVERFLOW or UNDERFLOW bin.

  Version:
    1.0, 23/03/2000
  See Also:
    AIDA

- - ### Field Summary

    - ### Fields inherited from interface hep.aida.IHistogram

      `OVERFLOW, serialVersionUID, UNDERFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `binEntries(int index)` Number of entries in the corresponding bin (ie the number of times fill was called for this bin).
    `double` | `binError(int index)` The error on this bin.
    `double` | `binHeight(int index)` Total height of the corresponding bin (ie the sum of the weights in this bin).
    `void` | `fill(double x)` Fill histogram with weight 1.
    `void` | `fill(double x, double weight)` Fill histogram with specified weight.
    `double` | `mean()` Returns the mean of the whole histogram as calculated on filling-time.
    `int[]` | `minMaxBins()` Indexes of the in-range bins containing the smallest and largest binHeight(), respectively.
    `double` | `rms()` Returns the rms of the whole histogram as calculated on filling-time.
    `IAxis` | `xAxis()` Returns the X Axis.

    - ### Methods inherited from interface hep.aida.IHistogram

      `allEntries, dimensions, entries, equivalentBinEntries, extraEntries, reset, sumAllBinHeights, sumBinHeights, sumExtraBinHeights, title`

- - ### Method Detail

    - #### binEntries

          int binEntries(int index)

      Number of entries in the corresponding bin (ie the number of times fill was called for this bin).
      Parameters:
        `index` - the bin number (0...N-1) or OVERFLOW or UNDERFLOW.

    - #### binError

          double binError(int index)

      The error on this bin.
      Parameters:
        `index` - the bin number (0...N-1) or OVERFLOW or UNDERFLOW.

    - #### binHeight

          double binHeight(int index)

      Total height of the corresponding bin (ie the sum of the weights in this bin).
      Parameters:
        `index` - the bin number (0...N-1) or OVERFLOW or UNDERFLOW.

    - #### fill

          void fill(double x)

      Fill histogram with weight 1.

    - #### fill

          void fill(double x,
                  double weight)

      Fill histogram with specified weight.

    - #### mean

          double mean()

      Returns the mean of the whole histogram as calculated on filling-time.

    - #### minMaxBins

          int[] minMaxBins()

      Indexes of the in-range bins containing the smallest and largest binHeight(), respectively.
      Returns:
        `{minBin,maxBin}`.

    - #### rms

          double rms()

      Returns the rms of the whole histogram as calculated on filling-time.

    - #### xAxis

          IAxis xAxis()

      Returns the X Axis.

Jump to the Colt Homepage